Consent
Record an explicitly granted subject consent.
POST
HTTPBearerheader
AuthorizationBearer <token>subject_id*Subject IdFormat
uuidIdempotency-Key*Idempotency-KeyMatch
^[A-Za-z0-9._~-]+$Length
16 <= length <= 128application/json- body
purpose*PurposeLength
1 <= length <= 200consent_version*Consent VersionLength
1 <= length <= 100granted*GrantedPartner confirms that the subject granted this specific consent.
Successful response
application/json- response
subject_id*Subject IdFormat
uuidconsent_id*Consent IdFormat
uuidpurpose*Purposeconsent_version*Consent Versioncurl -X POST 'https://example.com/v1/subjects/497f6eca-6276-4993-bfeb-53cbbbba6f08/consents' \ -H 'Idempotency-Key: stringstringstri' \ -H 'Content-Type: application/json' \ -d '{ "purpose": "string", "consent_version": "string", "granted": true}'Example Response
{ "subject_id": "80e197be-61ad-4068-b4ff-a483fb5c18f9", "consent_id": "b6c6f30d-b96b-4de6-8a03-238cde9dddba", "purpose": "string", "consent_version": "string"}